import 'package:flutter/material.dart';
import 'package:get/get.dart';

class WowTextStyle {
  WowTextStyle._();

  static const TextStyle _defaultTitle = TextStyle(
    color: Colors.black,
    fontSize: 18,
    fontWeight: FontWeight.bold,
  );

  static const TextStyle _defaultBody = TextStyle(
    color: Colors.black,
    fontSize: 14,
    fontWeight: FontWeight.normal,
  );

  static const TextStyle _defaultLabel = TextStyle(
    color: Colors.grey,
    fontSize: 12,
    fontWeight: FontWeight.normal,
  );

  /// Thường dùng cho tiêu đề appbar
  static TextStyle get title => Get.textTheme.headlineSmall ?? _defaultTitle;

  /// Dùng cho các loại nút
  static TextStyle get button => Get.textTheme.bodyLarge ?? _defaultBody;

  /// Dùng cho tiêu đề trong danh sách, tiêu đề nhỏ
  static TextStyle get listTitle => Get.textTheme.titleLarge ?? _defaultBody;

  /// Dùng cho văn bản trong 1 nội dung danh sách,
  /// lớn hơn văn bản thường
  static TextStyle get listItem => Get.textTheme.bodyLarge ?? _defaultBody;

  /// Văn bản thông thường
  static TextStyle get body => Get.textTheme.bodyMedium ?? _defaultBody;

  /// Dùng cho văn bản phụ
  static TextStyle get caption => Get.textTheme.bodySmall ?? _defaultBody;

  static TextStyle get labelLarge => Get.textTheme.labelLarge ?? _defaultLabel;

  static TextStyle get label => Get.textTheme.labelMedium ?? _defaultLabel;

  static TextStyle get labelSmall => Get.textTheme.labelSmall ?? _defaultLabel;
}
